Subject: RE: [Ltru] [psg.com #1075] WGLC section 3.6 specification requirementsfor extensions

From: "Addison Phillips" <[email-masked]>
Date: Fri, 15 Jul 2005 17:04:30 -0700

+1: IETF Consensus using the text I proposed.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: 2005?7?15? 16:33
> To: LTRU Working Group
> Subject: [Ltru] [psg.com #1075] WGLC section 3.6 specification
> requirementsfor extensions
> 
> Hi -
> 
> > ------------------------------------------------------------------------
> -
> > Message
> > http://www1.ietf.org/mail-archive/web/ltru/current/msg02855.html
> > reaises this issue:
> >
> > "Section 3.6: What type of RFC is required?  Informational or Standards
> > Track?  Community-reviewed, or RFC-Editor published?  Does it matter?
> > It
> > might be helpful to cite one of the methods described in section 2 of
> > RFC
> > 2434 if one is appropriate.  Later text in the section says "although
> > the
> > IESG MAY change the assignment when approving the RFC", so I have to
> > believe
> > that we're talking about either an "IETF Consensus" or "Standards
> > Action"
> > document."
> >
> > Discussion:
> > http://www1.ietf.org/mail-archive/web/ltru/current/msg02861.html
> > http://www1.ietf.org/mail-archive/web/ltru/current/msg02863.html
> 
> 
> Randy, ltru co-chair
> 
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 16 Jul 2005 23:10:01 -0700

Hi -

Addison's proposed text is:

<q>Single-letter subtags are to be assigned by IANA using the "IETF Consensus"
policy defined by RFC 2434. This policy requires the development of an RFC,
which SHALL define the name, purpose, processes, and procedures for maintaining
the subtags. The maintaining or registering authority, including name, contact email,
discussion list email, and URL location of the registry MUST be indicated clearly in the
RFC. The RFC MUST specify or include each of the following:</q>

This works for me, though I suggest very minor wordsmithing at the editor's
discretion:

<q>Single-letter subtags are to be assigned by IANA using the "IETF Consensus"
policy defined by RFC 2434. This policy requires an RFC, approved by the IESG.
Such an RFC MUST define the name, purpose, processes, and procedures for maintaining
the subtag(s). The maintaining or registering authority, including name, contact email,
discussion list email, and URL location of the registry MUST be indicated clearly in the
RFC. The RFC MUST specify or include each of the following:</q>

Randy

---

From: r&d afrac <[email-masked]>
Date: Sun, 17 Jul 2005 15:56:19 +0200

You must be aware that what an RFC can do, another can change it. What 
about RFC with particular ABNF accepting longer subtags than 8 alpha/num?
jfc

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 18 Jul 2005 16:43:13 -0700

Hi -

> From: "r&d afrac" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Sunday, July 17, 2005 6:56 AM
> Subject: Re: [Ltru] [psg.com #1075] WGLC section 3.6 specification requirementsfor extensions
>

> about RFC with particular ABNF accepting longer subtags than 8 alpha/num?
...

You could try it.  The incompatibility with the historic and proposed ABNF
grammar might lead to difficulty in gaining technical acceptance.
Ultimately the decision would be up to the IESG. As RFC 2434 says:

      IETF Consensus - New values are assigned through the IETF
           consensus process. Specifically, new assignments are made via
           RFCs approved by the IESG. Typically, the IESG will seek
           input on prospective assignments from appropriate persons
           (e.g., a relevant Working Group if one exists).

So, if this WG still existed at that time, it would not be surprising if the IESG
sought input here on the proposal.  If this WG was no longer around (I'm hoping
we can go away in a few more weeks), then the IESG would probably consult
someone on the [email-masked] list.

Randy

---

From: "John.Cowan" <[email-masked]>
Date: Mon, 18 Jul 2005 21:06:22 -0400

> someone on the [email-masked] list.

I had assumed we were going to go dormant, since we expect to do a 3066ter
in a year or so.  Is that too long for dormancy?

-- 
Cash registers don't really add and subtract;		John Cowan
        they only grind their gears.			[email-masked]
But then they don't really grind their gears, either;	http://www.reutershealth.com
        they only obey the laws of physics.  --Unknown

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 18 Jul 2005 18:48:22 -0700

Hi -

(note new subject line, since this really is a separate topic)

> From: "John.Cowan" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Monday, July 18, 2005 6:06 PM
> Subject: Re: [Ltru] [psg.com #1075] WGLC section 3.6 specification requirements for extensions
>
> Randy Presuhn scripsit:
>
...

Dormancy is a possibility, though my hope is there will be no
need for the WG to continue after we deliver our documents.
If an update/replacement ends up being necessary so soon,
I imagine it will cause some heartburn, though I could be mistaken.
Given the time and energy this WG consumes, I'd also be concerned
whether we'd be able to maintain critical mass, since many of the
active participants have other substantial demands on their time.

Anyway, it will be up to the AD.  Discussion of follow-on work and
requests for additions to the charter are reasonable things
when a WG has completed its deliverables, and we can have the
discussion and make our  recommendations at that time.  Some
have quite a bit of work they'd like us to consider, and it's
appropriate that we have that discussion then.

But let's defer this discussion until after we've finished our
current assignment, meaning we get out the registry and matching
specifications.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 18 Jul 2005 22:04:30 -0700

Hi -

It looks like we have a rough consensus for "IETF Consensus" as the
specification requirement for extensions, so I've marked this
item "resolved" at https://rt.psg.com/ (user/passwd "ietf")

Randy

---

From: r&d afrac <[email-masked]>
Date: Tue, 19 Jul 2005 20:22:52 +0200

OK. I am on vactions: I will feed the troll ....

At 01:43 19/07/2005, Randy Presuhn wrote:
>then the IESG would probably consult someone on the 
>[email-masked] list.

Dear Randy,
they would probably consult more people than for Larrie Roberts :-)
I note with pleasure that you have found [email-masked] .... I am 
still with [email-masked] ....
jfc

PS. BTW you meant who? I meant that someone?